Package uk.ac.starlink.topcat.plot2

# Class ShaderControl

java.lang.Object
uk.ac.starlink.topcat.plot2.TabberControl
uk.ac.starlink.topcat.plot2.ConfigControl
uk.ac.starlink.topcat.plot2.ShaderControl

All Implemented Interfaces:
  `Configger`, `Control`

public class ShaderControl extends ConfigControl
Control for configuring shader scale and axis characteristics.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShaderControl(MultiConfigger configger, ToggleButtonModel auxLockModel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`configureForLayers(TopcatLayer[] tclayers, int iz)`
Configures state according to the current state of the control stack.
`uk.ac.starlink.ttools.plot2.ShadeAxisFactory`
`createShadeAxisFactory(TopcatLayer[] tclayers, int iz, uk.ac.starlink.ttools.plot2.config.ConfigMap config)`
Returns an object which can turn a range into a ShadeAxis based on current config of this component and a set of layers.
`uk.ac.starlink.ttools.plot2.Span`
`getFixSpan()`
Returns an aux value range explicitly fixed by the user.
`uk.ac.starlink.ttools.plot2.Subrange`
`getSubrange()`
Returns an aux value subrange set by the user.
`boolean`
`isLog()`

### Methods inherited from class uk.ac.starlink.topcat.plot2.ConfigControl

`addSpecifierTab, getConfig, getConfigSpecifiers`

### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

`addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getPanel, getTabber, removeActionListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShaderControl

public ShaderControl(MultiConfigger configger, ToggleButtonModel auxLockModel)
Constructor.

Parameters:
  `configger` - config source containing some plot-wide config, specifically captioner style
  `auxLockModel` - toggle to control whether aux ranges are updated dynamically or held fixed; may be null

## Method Details

### getFixSpan

public uk.ac.starlink.ttools.plot2.Span getFixSpan()
Returns an aux value range explicitly fixed by the user.

Returns:
  shader fixed range, either or both bounds may be absent

### getSubrange

public uk.ac.starlink.ttools.plot2.Subrange getSubrange()
Returns an aux value subrange set by the user.

Returns:
  shader subrange

### createShadeAxisFactory

public uk.ac.starlink.ttools.plot2.ShadeAxisFactory createShadeAxisFactory(TopcatLayer[] tclayers, int iz, uk.ac.starlink.ttools.plot2.config.ConfigMap config)
Returns an object which can turn a range into a ShadeAxis based on current config of this component and a set of layers.

Parameters:
  `tclayers` - list of layers to which the axis will apply
  `iz` - zone index to which axis factory applies, or -1 for all zones
  `config` - configuration for shade axis
Returns:
  shade axis factory

### isLog

public boolean isLog()

### configureForLayers

public void configureForLayers(TopcatLayer[] tclayers, int iz)
Configures state according to the current state of the control stack.

Parameters:
  `tclayers` - list of layers relevant to this shading
  `iz` - zone index, or -1